openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | None
Language | Haskell2010

OpenAPIPetstore.API.AnotherFake

Contents

- Operations
  - AnotherFake
    - testSpecialTags

Description

Synopsis

- testSpecialTags :: (Consumes TestSpecialTags MimeJSON, MimeRender MimeJSON Client) => Client -> OpenAPIPetstoreRequest TestSpecialTags MimeJSON Client MimeJSON
- data TestSpecialTags

# Operations

## AnotherFake

### testSpecialTags

testSpecialTags Source #

Arguments

:: (Consumes TestSpecialTags MimeJSON, MimeRender MimeJSON Client) |
=> Client | "client" - client model
-> OpenAPIPetstoreRequest TestSpecialTags MimeJSON Client MimeJSON |

    PATCH /another-fake/dummy

To test special tags

To test special tags

data TestSpecialTags Source #

Instances

Produces TestSpecialTags MimeJSON Source # |
    application/json
Consumes TestSpecialTags MimeJSON Source # |
    application/json
HasBodyParam TestSpecialTags Client Source # | Body Param Client - client model
Methods setBodyParam :: (Consumes TestSpecialTags contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest TestSpecialTags contentType res accept -> Client -> OpenAPIPetstoreRequest TestSpecialTags contentType res accept Source #